#!/usr/bin/python


from optparse import OptionParser


import basedefs
import common_utils as utils


parser = OptionParser()
parser.add_option(
    '--pgpass',
    dest='pgpass',
    help='.pgpass file to read from',
    metavar='PGPASS',
)

(options, args) = parser.parse_args()

if options.pgpass is not None:
    basedefs.DB_PASS_FILE = options.pgpass

user = utils.getDbUser()
print (
    (
        'ENGINE_DB_HOST="{host}"\n'
        'ENGINE_DB_PORT="{port}"\n'
        'ENGINE_DB_USER="{user}"\n'
        'ENGINE_DB_PASSWORD="{password}"\n'
        'ENGINE_DB_DATABASE="{database}"\n'
    ).format(
        host=utils.getDbHostName(),
        port=utils.getDbPort(),
        user=user,
        password=utils.getDbPassword(user),
        database=basedefs.DB_NAME,
    )
)
